#pragma once
class Flipper
{
	private:
		unsigned int sprite;
		float rotation_direction;
		bool active;

		const static float ROTATION_SPEED;
		const static float BASE_ROTATION;
		const static float MAX_ROTATION;

	public:
		Flipper(unsigned int image, float x, float y, bool mirror);

		void activate();
		void desactivate();
		void update();
};

